package be.iminds.ilabt.jfed.base_gui;

import be.iminds.ilabt.jfed.preferences.JFedCorePreferences;
import be.iminds.ilabt.jfed.gui_preferences.JFedHLPreferences;
import be.iminds.ilabt.jfed.preferences.JFedPreferences;
import be.iminds.ilabt.jfed.preferences.TestbedGdprConsentPreferences;
import com.google.inject.AbstractModule;

import javax.inject.Singleton;

/**
 * BaseGuiModule
 */
public class BaseGuiModule extends AbstractModule {
    @Override
    protected void configure() {
        bind(JFedHLPreferences.class).in(Singleton.class);
        bind(JFedPreferences.class).to(JFedHLPreferences.class).in(Singleton.class);
        bind(JFedCorePreferences.class).to(JFedHLPreferences.class).in(Singleton.class);
        bind(TestbedGdprConsentPreferences.class).in(Singleton.class);
    }
}
